---
# This is an example playbook to execute Ansible tests.

- name: Verify base config
  hosts: all
  tasks:

  - name: populate service facts
    service_facts:

  - name: Check Docker running
    assert:
      that:
        - ansible_facts.services['docker.service'].state == "running"
        - ansible_facts.services['docker.service'].status == "enabled"

  - name: Check Containerd running
    assert:
      that:
        - ansible_facts.services['containerd.service'].state == "running"
        - ansible_facts.services['containerd.service'].status == "enabled"
